############ Miscelleneous ##################
# EN FPGA Clock
set_property PACKAGE_PIN U15 [get_ports {en_fpga_clk}]
set_property IOSTANDARD LVCMOS33 [get_ports {en_fpga_clk}]
# Input clock 100MHZ
set_property PACKAGE_PIN U18 [get_ports {clk_100mhz}]
set_property IOSTANDARD LVCMOS33 [get_ports {clk_100mhz}]
# Clock from CDCE925 clock generator output Y4
set_property PACKAGE_PIN L19 [get_ports {clk_cdce925_y4}]
set_property IOSTANDARD LVCMOS18 [get_ports {clk_cdce925_y4}]

############# LEDs ###############
set_property PACKAGE_PIN J15 [get_ports {fpga_user_led}]
set_property IOSTANDARD LVCMOS18 [get_ports {fpga_user_led}]
set_property PACKAGE_PIN M18 [get_ports {led_d4}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_d4}]
set_property PACKAGE_PIN G15 [get_ports {led_d5}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_d5}]
set_property PACKAGE_PIN M15 [get_ports {led_d6}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_d6}]

####### Miami version inputs ##########
set_property PACKAGE_PIN Y18 [get_ports {miami_version[0]}]
set_property PACKAGE_PIN W20 [get_ports {miami_version[1]}]
set_property PACKAGE_PIN V20 [get_ports {miami_version[2]}]
set_property PACKAGE_PIN U20 [get_ports {miami_version[3]}]
set_property PULLUP TRUE [get_ports miami_version*]
set_property IOSTANDARD LVCMOS33 [get_ports miami_version*]

#######  Serial connection to FTDI ####### 
# Note that our TX connects to the RX of the FTDI
set_property PACKAGE_PIN T11 [get_ports {uart1_rx}]
set_property PACKAGE_PIN P19 [get_ports {uart1_tx}]
set_property PACKAGE_PIN T12 [get_ports {uart1_ctsn}]
set_property PACKAGE_PIN U12 [get_ports {uart1_rtsn}]
set_property IOSTANDARD LVCMOS33 [get_ports uart1_*]
