ECHO OFF

del fpga.bit 2>nul

IF "%FPGA_FAMILY%"=="xc7z010" (
    set PART=%FPGA_FAMILY%clg400-1
) ELSE IF "%FPGA_FAMILY%"=="xc7z020" (
    set PART=%FPGA_FAMILY%clg400-1
) ELSE IF "%FPGA_FAMILY%"=="xc7z007" (
    set PART=%FPGA_FAMILY%sclg400-1
) ELSE IF "%FPGA_FAMILY%"=="xc7z012" (
    set PART=%FPGA_FAMILY%sclg400-1
) ELSE (
    echo "Environment variable FPGA_FAMILY=%FPGA_FAMILY% is not valid, Valid are: xc7z010, xc7z020, xc7z007 xc7z012"
    exit /b 1
)

set VIVADO_TCL=vivado -mode batch -notrace -source

call %VIVADO_TCL% generate_bitstream.tcl -tclargs %PART%

copy %PART%\%PART%.runs\impl_1\*.bit fpga.bit

if exist fpga.bit (
    exit /b 0
) else (
    exit /b 1
)