# Create clocks
create_clock -period 10.000 -name clk_100M [get_ports {clk_100mhz}]
create_clock -period 6.734 -name clk_cdce925 [get_ports {clk_cdce925_y4}]

# Set ASYNC clock groups
set_clock_groups -name async_clocks -asynchronous \
   -group [get_clocks clk_fpga_0] \
   -group [get_clocks clk_fpga_1] \
   -group [get_clocks clk_fpga_2] \
   -group [get_clocks clk_100M] \
   -group [get_clocks clk_cdce925]
